%define _requires_exceptions libasound.so\\|libesd.so\\|libaudiofile.so\\|libaudio.so\\|libpulse

%define major 4
%define	libname		%mklibname ao %{major}
%define develname	%mklibname ao -d

%define _disable_ld_no_undefined 1

Name:		libao
Summary:	Cross Platform Audio Output Library
Version:	1.1.0
Release:	%mkrel 2
Group:		System/Libraries
License:	GPLv2+
URL:		http://www.xiph.org/ao/
Source0:	http://downloads.xiph.org/releases/ao/%{name}-%{version}.tar.gz
BuildRequires:	libalsa-devel
BuildRequires:	libpulseaudio-devel

%description
Libao is a cross-platform audio library that allows programs 
to output audio using a simple API on a wide variety of platforms. 
It currently supports:

- ALSA
- Esound
- PulseAudio
- OSS

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname ao 2 -d

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q

# remove incorrect flags, optflag will be used instead
sed -i "s/-O20 -ffast-math//" configure

%build
%configure2_5x \
	--disable-esd \
	--disable-arts \
	--enable-pulse \
	--enable-alsa-mmap

# (Fedora) kill rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm

rm -rf %{buildroot}%{_docdir}
install -d -m 755 %{buildroot}%{_libdir}/%{name}/

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_libdir}/libao.so.%{major}*
%{_libdir}/ao

%files -n %{develname}
%defattr(-,root,root)
%doc CHANGES doc/*.{html,c,css}
%{_includedir}/ao
%{_libdir}/libao.so
%{_datadir}/aclocal/ao.m4
%{_libdir}/pkgconfig/*
%{_mandir}/man5/*


%changelog

* Thu Sep 22 2011 fwang <fwang> 1.1.0-2.mga2
+ Revision: 146637
- drop .la files

* Mon Jul 04 2011 ahmad <ahmad> 1.1.0-1.mga2
+ Revision: 117877
- Update to 1.1.0
- Drop patch0, fixed upstream
- Remove -ffast-math from upstream's compile flags (Fedora)
- Adapt to the configure options chagnes
- Kill rpath (Fedora)

* Thu May 19 2011 colin <colin> 1.0.0-5.mga1
+ Revision: 99768
- Fix crash bug when interacting with PulseAudio simple API.

* Sat Jan 15 2011 anssi <anssi> 1.0.0-4.mga1
+ Revision: 19749
- clarify license tag
- remove old post/postun scripts
- own /usr/lib/ao directory
- imported package libao

